Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 172055 - libXfont from modular X has a very large number of compiler warnings
Summary: libXfont from modular X has a very large number of compiler warnings
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: libXfont
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2005-10-30 00:17 UTC by Mike A. Harris
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-06 03:33:49 UTC


Attachments (Terms of Use)

Description Mike A. Harris 2005-10-30 00:17:22 UTC
Many of these are likely harmless or trivial in nature, however some
of them are potentially serious SEGV material, so all of them should
be investigated and fixed for X11R7.



bitscale.c:1843: warning: 'isStringProp' may be used uninitialized in this function
file.c:69: warning: unused variable 'left'
file.c:124: warning: suggest parentheses around assignment used as truth value
fonts.c:2401: warning: missing braces around initializer
fonts.c:2401: warning: (near initialization for 'builtin_files[0]')
fonts.c:2410: warning: missing braces around initializer
fonts.c:2410: warning: (near initialization for 'builtin_dir[0]')
fonts.c:2428: warning: missing braces around initializer
fonts.c:2428: warning: (near initialization for 'builtin_alias[0]')
fpe.c:51: warning: implicit declaration of function 'BuiltinReadDirectory'
fpe.c:51: warning: nested extern declaration of 'BuiltinReadDirectory'
fpe.c:80: warning: no previous prototype for 'BuiltinRegisterFpeFunctions'
fpe.c:81: warning: implicit declaration of function
'BuiltinRegisterFontFileFunctions'
fpe.c:81: warning: nested extern declaration of 'BuiltinRegisterFontFileFunctions'
render.c:35: warning: return type defaults to 'int'
render.c:64: warning: implicit declaration of function 'CheckFSFormat'
render.c:64: warning: nested extern declaration of 'CheckFSFormat'
render.c:71: warning: implicit declaration of function 'pcfReadFont'
render.c:71: warning: nested extern declaration of 'pcfReadFont'
render.c:45: warning: unused variable 'i'
render.c:82: warning: return type defaults to 'int'
render.c:95: warning: implicit declaration of function 'pcfReadFontInfo'
render.c:95: warning: nested extern declaration of 'pcfReadFontInfo'
render.c:90: warning: unused variable 'renderer'
render.c:88: warning: unused variable 'i'
render.c:101: warning: missing braces around initializer
render.c:101: warning: (near initialization for 'renderers[0]')
render.c:109: warning: no previous prototype for 'BuiltinRegisterFontFileFunctions'
fserve.c:2782: warning: 'ret' may be used uninitialized in this function
paths.c:1039: warning: 'mypoint.x' is used uninitialized in this function
paths.c:1040: warning: 'mypoint.y' is used uninitialized in this function
t1info.c:1057: warning: 'sDescent' may be used uninitialized in this function
t1info.c:1057: warning: 'sAscent' may be used uninitialized in this function

Comment 3 Mike A. Harris 2006-06-06 03:33:49 UTC
Mostly trivial stuff not worth tracking.  The best way for handling these
types of issues is to organize a community project upstream to get the
whole tree of Xorg building warning-free on Linux and possibly on BSD and/or
Solaris in the future.




Note You need to log in before you can comment on or make changes to this bug.